import type { LanguageInput, ThemedToken, ThemeRegistrationAny } from '@shikijs/types'
import type { FontStyle } from '@shikijs/vscode-textmate'

export interface TokenType {
  content: string
  color?: string
  fontStyle?: FontStyle
  offset: number
}

export interface SyntaxHighlighterProps {
  text: string
  language: LanguageInput
  languageId: string
  theme: ThemeRegistrationAny
  fontSize?: number
}

export interface TokensResult {
  tokens: ThemedToken[][]
}
